#include <gint/display.h>
#include <gint/keyboard.h>
#include <gint/std/stdio.h>
#include <gint/std/stdlib.h>
#include <gint/clock.h>
#include "FxEngine/FxEngine.h"
#include "FxEngine/face.h"
#include "controls.h"


int main(void)
{
	init_controls();
	dclear(C_WHITE);
	FE_point point[4]={{{10,0,0},{0,0,0}},{{10,10,0},{0,0,0}},{{10,0,10},{0,0,0}},{{10,10,10},{0,0,0}}};
	FE_face face={&point[0],&point[1],&point[2],1,2};
	FE_face face2={&point[3],&point[1],&point[2],0,2};

	while (1)
	{
		FE_new_frame();
		reload_fps_displaying();

		for (int i=0;i<4;i++)
		{
			FE_calc(&point[i]);
			if (point[i].translated.z>0)
			{
				dpixel(point[i].translated.x,point[i].translated.y,C_BLACK);
			}
		}
		FE_draw_face(&face);
		FE_draw_face(&face2);
		display_fps(100,56);
	}
	getkey();
	return 1;
}