#ifndef FE_ZBUFFER
#define FE_ZBUFFER

#include <stdbool.h>

// nouveauté ! le zbuffer occupe tout l'écran, le rendu 3d offre donc de meilleures possibilités
#define FE_ZB_SIZE_X 128
#define FE_ZB_SIZE_Y 64

void FE_zbuffer_clear(); // does not really clear the zbuffer, but changes encoding sign for the next frame ** on 1st frame, allocates data
bool FE_zbuffer_set_dist(int x, int y, int dist); // if you are allowed to draw the pixel on vram

#endif